# Conditional build:
%bcond_without  doc             # don't build doc
%bcond_without  tests   # do not perform "make test"
%bcond_without  python2 # CPython 2.x module
%bcond_without  python3 # CPython 3.x module
#
%define 	module	pyquery
Summary:	A jquery-like library for Python
Summary(pl.UTF-8):	Podobna do jquery biblioteka dla Pythona
Name:		python-%{module}
Version:	1.2.9
Release:	2
License:	BSD
Group:		Development/Languages/Python
# Source0:	http://pypi.python.org/packages/source/p/pyquery/%{module}-%{version}.tar.gz
Source0:	https://github.com/gawel/pyquery/archive/%{version}.tar.gz
# Source0-md5:	902e2ded38899c7c3f66cba6d4a464fb
URL:		http://pypi.python.org/pypi/pyquery
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python2}
%{?with_tests:BuildRequires:       python-cssselect}
BuildRequires:	python-devel
BuildRequires:	python-setuptools
%endif
%if %{with python3}
%{?with_tests:BuildRequires:       python3-cssselect}
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-cssselect
Requires:	python-lxml
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pyquery allows you to make jquery queries on xml documents. The API is
as much as possible the similar to jquery. pyquery uses lxml for fast
xml and html manipulation.

%description -l pl.UTF-8
Pyquery pozwala na wykonywanie zapytań jquery na dokumentach XML.
Interfejs jest jak to tylko możliwe podobny do jquery. Pyquery używa
lxml do szybkiej manipulacji plików XML i HTML.

%package -n python3-%{module}
Summary:	A jquery-like library for Python
Summary(pl.UTF-8):	Podobna do jquery biblioteka dla Pythona
Group:		Libraries/Python
Requires:	python3-cssselect
Requires:	python3-lxml
Requires:	python3-modules

%description -n python3-%{module}
Pyquery allows you to make jquery queries on xml documents. The API is
as much as possible the similar to jquery. pyquery uses lxml for fast
xml and html manipulation.

%description -n python3-%{module} -l pl.UTF-8
Pyquery pozwala na wykonywanie zapytań jquery na dokumentach XML.
Interfejs jest jak to tylko możliwe podobny do jquery. Pyquery używa
lxml do szybkiej manipulacji plików XML i HTML.

%prep
%setup -q -n %{module}-%{version}

# setup copy of source in py3 dir
set -- *
install -d py3
cp -a "$@" py3

%build
%if %{with python2}
%{__python} setup.py build --build-base build-2 %{?with_tests:test}
%endif

%if %{with python3}
%{__python3} setup.py build --build-base build-3 %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
        build --build-base build-2 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT

%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
        build --build-base build-3 \
        install --skip-build \
        --optimize=2 \
        --root=$RPM_BUILD_ROOT
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/pyquery-*.egg-info
%endif
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Thu Oct 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyquery.git;a=log;h=master

* Thu Oct 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 10206e9
- R fixed

* Thu Oct 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e2ccff
- rel 3; python3 package

* Mon Oct 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6980161
- up to 1.2.9

* Wed Oct 10 2012 Mateusz Korniak <matkor@pld-linux.org> 15adb57
- Release 2. Fixed noarch.

* Wed Oct 10 2012 Mateusz Korniak <matkor@pld-linux.org> 5f76d90
- noarch

* Wed Oct 10 2012 Mateusz Korniak <matkor@pld-linux.org> f9c3689
- Version 1.2.1-1.

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 520efd4
- BR: python-setuptools

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 990679e
- release 6

* Thu Aug 12 2010 Mateusz Korniak <matkor@pld-linux.org> aaeb4f4
- Release 5.

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f31a9ca
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 88740a7
- release 3

* Wed Aug 05 2009 Elan Ruusamäe <glen@pld-linux.org> 5ee6373
- release 2

* Tue Aug 04 2009 shadzik <shadzik@pld-linux.org> 30f09f5
- R: python-lxml

* Tue Aug 04 2009 shadzik <shadzik@pld-linux.org> 47d6099
- %dir

* Tue Aug 04 2009 shadzik <shadzik@pld-linux.org> 4614e42
- init

